# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ unzip
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define	major 1
%define libname libtwitcurl%{major}
%define develname libtwitcurl-devel

%define rel 7

Summary:	Twitter C++ Library
Name:		twitcurl
Version:	1
Release:	alt1_%{rel}
Group:		System/Libraries
License:	GPL
URL:		https://github.com/swatkat/twitcurl
Source0:	https://github.com/swatkat/twitcurl/archive/twitcurl-master.zip
Patch0:		twitcurl-makefile.patch
Patch1:		twitcurl-header.patch
Patch2:		twitcurl-cxxflags.patch
BuildRequires:	libcurl-devel
Source44: import.info

%description
twitcurl is a pure C++ library for twitter APIs. twitcurl uses cURL for handling HTTP
requests and responses. twitcurl has been tested on Microsoft Windows, Ubuntu and
Debian. In fact, it works just fine on any operating system that supports cURL.
distributed memory object caching system.

%package -n	%{libname}
Summary:	Twitter C++ Library
Group:          System/Libraries

%description -n	%{libname}
twitcurl is a pure C++ library for twitter APIs. twitcurl uses cURL for handling HTTP
requests and responses. twitcurl has been tested on Microsoft Windows, Ubuntu and
Debian. In fact, it works just fine on any operating system that supports cURL.
distributed memory object caching system.

%package -n	%{develname}
Summary:	Static library and header files for the twitcurl library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
twitcurl is a pure C++ library for twitter APIs. twitcurl uses cURL for handling HTTP
requests and responses. twitcurl has been tested on Microsoft Windows, Ubuntu and
Debian. In fact, it works just fine on any operating system that supports cURL.
distributed memory object caching system.

This package contains the static libmemcache library and its
header files.

%prep

%setup -q -n twitcurl-master
cd libtwitcurl
%patch0 -p0
%patch1 -p0
%patch2 -p2

%build
cd libtwitcurl

%make_build

%install
cd libtwitcurl
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir}
# broken makefile builds everything again, so set compile flags

%makeinstall_std LIBRARY_DIR=%{_libdir}
pushd %{buildroot}%{_libdir}
ln -s lib%{name}.so.1.0 lib%{name}.so.1
ln -s lib%{name}.so.1.0 lib%{name}.so
popd
# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/lib%{name}.so


%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 1-alt1_7
- update by mgaimport

* Sat Apr 11 2020 Igor Vlasenko <viy@altlinux.ru> 1-alt1_6
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1-alt1_5
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 1-alt1_4
- new version

